"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var PIXI = _interopRequireWildcard(require("pixi.js"));

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = Object.defineProperty && Object.getOwnPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : {}; if (desc.get || desc.set) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } } newObj.default = obj; return newObj; } }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

class QinScene {
  constructor(props) {
    _defineProperty(this, "_renderer", void 0);

    this._renderer = null;
  }

  _setRenderer(renderer) {
    this._renderer = renderer;
  }

  onFinish() {
    let loader = PIXI.loader;
    loader.reset();
    loader.add('test', './assets/LOMS.png');
    loader.load();
    loader.onComplete.add((loader, resources) => {
      this._resources = resources;
      const bunny = new PIXI.Sprite(resources.test.texture);

      this._renderer.addActor(bunny);
    });
  }

}

exports.default = QinScene;